Summary:        Enterprise Job Scheduler for Java
Name:           quartz
Version:        2.1.2
Release:        8%{?dist}
Epoch:          0
License:        ASL 2.0
URL:            http://www.quartz-scheduler.org/
# svn export http://svn.terracotta.org/svn/quartz/tags/quartz-2.1.2
# tar caf quartz-2.1.2.tar.xz quartz-2.1.2
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  geronimo-parent-poms
BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-pmd-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  rmic-maven-plugin
BuildRequires:  junit
BuildRequires:  c3p0
BuildRequires:  ejb_api
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-modeler
BuildRequires:  apache-commons-pool
BuildRequires:  apache-commons-validator
BuildRequires:  javamail >= 1.4.3
BuildRequires:  jms
BuildRequires:  jta
BuildRequires:  log4j
BuildRequires:  servlet >= 2.5
BuildRequires:  slf4j

Requires:  apache-commons-beanutils
Requires:  apache-commons-collections
Requires:  apache-commons-dbcp
Requires:  apache-commons-digester
Requires:  apache-commons-logging
Requires:  apache-commons-modeler
Requires:  apache-commons-pool
Requires:  apache-commons-validator

BuildArch:      noarch

%description
Quartz is a job scheduling system that can be integrated with, or used 
along side virtually any J2EE or J2SE application. Quartz can be used 
to create simple or complex schedules for executing tens, hundreds, or 
even tens-of-thousands of jobs; jobs whose tasks are defined as standard 
Java components or EJBs. 

%package javadoc
Summary:        API docs for %{name}

%description javadoc
This package contains the API Documentation for %{name}.

%prep
%setup -q 
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_disable_module quartz-jboss

%pom_remove_dep org.apache.openejb:javaee-api %{name}
%pom_add_dep javax.transaction:jta %{name}
%pom_add_dep javax.jms:jms %{name}
%pom_add_dep javax.servlet:servlet-api %{name}
%pom_add_dep javax.ejb:ejb %{name}
%pom_add_dep javax.mail:mail %{name}

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'c3p0']/pom:groupId" com.mchange %{name}
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'junit']/pom:artifactId" junit %{name}

%build

%mvn_file :%{name} %{name}
%mvn_file :%{name}-backward-compat %{name}-backward-compat
%mvn_file :%{name}-examples %{name}-examples
# skip tests for now due to requirement on hamcrest 1.2
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.txt NOTICE.txt LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Sun Aug 18 2013 gil cattaneo <puntogil@libero.it> 0:2.1.2-8
- fix c3p0 gId
- use pom macros
- built with XMvn
- minor changes to adapt to current guideline

* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 0:2.1.2-7
- Add several BuildRequires (RHBZ#914424)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0:2.1.2-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 23 2012 Andy Grimm <agrimm@gmail.com> - 0:2.1.2-3
- Make javamail BuildRequires more specific, since classxpathx-mail doesn't have a pom.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Andy Grimm <agrimm@gmail.com> - 0:2.1.2-1
- Initial Quartz 2.1.x build

